## GClueClientProxy GClueClientProxy |

## Functions

void | gclue_client_proxy_create ()
GClueClient * | gclue_client_proxy_create_finish ()
GClueClient * | gclue_client_proxy_create_sync ()
void | gclue_client_proxy_create_full ()
GClueClient * | gclue_client_proxy_create_full_finish ()
GClueClient * | gclue_client_proxy_create_full_sync ()
void | gclue_client_proxy_new ()
GClueClient * | gclue_client_proxy_new_finish ()
GClueClient * | gclue_client_proxy_new_sync ()
void | gclue_client_proxy_new_for_bus ()
GClueClient * | gclue_client_proxy_new_for_bus_finish ()
GClueClient * | gclue_client_proxy_new_for_bus_sync ()
guint | gclue_client_get_time_threshold ()
void | gclue_client_set_time_threshold ()

## Object Hierarchy

        GObject
        ╰── GDBusProxy
            ╰── GClueClientProxy

## Description

## Functions

### gclue_client_proxy_create ()

    void
    gclue_client_proxy_create (const char *desktop_id,
                               GClueAccuracyLevel accuracy_level,
                               GCancellable *cancellable,
                               GAsyncReadyCallback callback,
                               gpointer user_data);

A utility function to create a GClueClientProxy without having to deal with a GClueManager. See also `gclue_client_proxy_create_full()` which improves resource management.

This is identitcal to calling `gclue_client_proxy_create_full()` without any flags set.

See `gclue_client_proxy_create_sync()` for the synchronous, blocking version of this function.

#### Parameters

desktop_id | The desktop file id (the basename of the desktop file). |
accuracy_level | The requested accuracy level as GClueAccuracyLevel. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the results are ready. |
user_data | User data to pass to `callback` . |

### gclue_client_proxy_create_finish ()

    GClueClient *
    gclue_client_proxy_create_finish (GAsyncResult *result,
                                      GError **error);

Finishes an operation started with `gclue_client_proxy_create()`.

#### Parameters

result | The GAsyncResult obtained from the GAsyncReadyCallback passed to `gclue_client_proxy_create()`. |
error | Return location for error or `NULL`. |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GClueClientProxy]

### gclue_client_proxy_create_sync ()

    GClueClient *
    gclue_client_proxy_create_sync (const char *desktop_id,
                                    GClueAccuracyLevel accuracy_level,
                                    GCancellable *cancellable,
                                    GError **error);

The synchronous and blocking version of `gclue_client_proxy_create()`. See also `gclue_client_proxy_create_full_sync()` which improves resource management.

This function is identical to calling `gclue_client_proxy_create_full_sync()` without any flags set.

#### Parameters

desktop_id | The desktop file id (the basename of the desktop file). |
accuracy_level | The requested accuracy level as GClueAccuracyLevel. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GClueClientProxy]

### gclue_client_proxy_create_full ()

    void
    gclue_client_proxy_create_full (const char *desktop_id,
                                    GClueAccuracyLevel accuracy_level,
                                    GClueClientProxyCreateFlags flags,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

A utility function to create a GClueClientProxy without having to deal with a GClueManager.

By setting the GCLUE_CLIENT_PROXY_CREATE_AUTO_DELETE flag you can ensure that the client will be deleted again from the geoclue service when it is destroyed. This flag should be used unless you are doing explicit resource management.

See `gclue_client_proxy_create_full_sync()` for the synchronous, blocking version of this function.

#### Parameters

desktop_id | The desktop file id (the basename of the desktop file). |
accuracy_level | The requested accuracy level as GClueAccuracyLevel. |
flags | GClueClientProxyCreateFlags to modify the creation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the results are ready. |
user_data | User data to pass to `callback` . |

### gclue_client_proxy_create_full_finish ()

    GClueClient *
    gclue_client_proxy_create_full_finish (GAsyncResult *result,
                                           GError **error);

Finishes an operation started with `gclue_client_proxy_create_full()`.

#### Parameters

result | The GAsyncResult obtained from the GAsyncReadyCallback passed to `gclue_client_proxy_create()`. |
error | Return location for error or `NULL`. |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GClueClientProxy]

### gclue_client_proxy_create_full_sync ()

    GClueClient *
    gclue_client_proxy_create_full_sync (const char *desktop_id,
                                         GClueAccuracyLevel accuracy_level,
                                         GClueClientProxyCreateFlags flags,
                                         GCancellable *cancellable,
                                         GError **error);

The synchronous and blocking version of `gclue_client_proxy_create_full()`.

By setting the GCLUE_CLIENT_PROXY_CREATE_AUTO_DELETE flag you can ensure that the client will be deleted again from the geoclue service when it is destroyed. This flag should be used unless you are doing explicit resource management.

#### Parameters

desktop_id | The desktop file id (the basename of the desktop file). |
accuracy_level | The requested accuracy level as GClueAccuracyLevel. |
flags | GClueClientProxyCreateFlags to modify the creation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GClueClientProxy]

### gclue_client_proxy_new ()

    void
    gclue_client_proxy_new (GDBusConnection *connection,
                            GDBusProxyFlags flags,
                            const gchar *name,
                            const gchar *object_path,
                            GCancellable *cancellable,
                            GAsyncReadyCallback callback,
                            gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.freedesktop.GeoClue2.Client. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `gclue_client_proxy_new_finish()` to get the result of the operation.

See `gclue_client_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### gclue_client_proxy_new_finish ()

    GClueClient *
    gclue_client_proxy_new_finish (GAsyncResult *res,
                                   GError **error);

Finishes an operation started with `gclue_client_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `gclue_client_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GClueClientProxy]

### gclue_client_proxy_new_sync ()

    GClueClient *
    gclue_client_proxy_new_sync (GDBusConnection *connection,
                                 GDBusProxyFlags flags,
                                 const gchar *name,
                                 const gchar *object_path,
                                 GCancellable *cancellable,
                                 GError **error);

Synchronously creates a proxy for the D-Bus interface org.freedesktop.GeoClue2.Client. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `gclue_client_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GClueClientProxy]

### gclue_client_proxy_new_for_bus ()

    void
    gclue_client_proxy_new_for_bus (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `gclue_client_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `gclue_client_proxy_new_for_bus_finish()` to get the result of the operation.

See `gclue_client_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### gclue_client_proxy_new_for_bus_finish ()

    GClueClient *
    gclue_client_proxy_new_for_bus_finish (GAsyncResult *res,
                                           GError **error);

Finishes an operation started with `gclue_client_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `gclue_client_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GClueClientProxy]

### gclue_client_proxy_new_for_bus_sync ()

    GClueClient *
    gclue_client_proxy_new_for_bus_sync (GBusType bus_type,
                                         GDBusProxyFlags flags,
                                         const gchar *name,
                                         const gchar *object_path,
                                         GCancellable *cancellable,
                                         GError **error);

Like `gclue_client_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `gclue_client_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GClueClientProxy]

### gclue_client_get_time_threshold ()

    guint
    gclue_client_get_time_threshold (GClueClient *object);

Gets the value of the "TimeThreshold" D-Bus property.

Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GClueClient. |

#### Returns

The property value.

### gclue_client_set_time_threshold ()

    void
    gclue_client_set_time_threshold (GClueClient *object,
                                     guint value);

Sets the "TimeThreshold" D-Bus property to `value` .

Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GClueClient. |
value | The value to set. |